| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::TrackerMedianFlow::Params Struct Reference

`#include "tracker.hpp"`

## Public Member Functions
| Params ()
void | read (const FileNode &)
void | write (FileStorage &) const

## Public Attributes
int | maxLevel
| maximal pyramid level number for Lucas-Kanade optical flow More...
double | maxMedianLengthOfDisplacementDifference
| criterion for loosing the tracked object More...
int | pointsInGrid
TermCriteria | termCriteria
| termination criteria for Lucas-Kanade optical flow More...
cv::Size | winSize
| window size parameter for Lucas-Kanade optical flow More...
cv::Size | winSizeNCC
| window size around a point for normalized cross-correlation check More...

## Constructor & Destructor Documentation

## § Params()

cv::TrackerMedianFlow::Params::Params | ( |  | ) |

default constructor note that the default values of parameters are recommended for most of use cases

## Member Function Documentation

## § read()

void cv::TrackerMedianFlow::Params::read | ( | const FileNode & |  | ) |

## § write()

void cv::TrackerMedianFlow::Params::write | ( | FileStorage & |  | ) | const

## Member Data Documentation

## § maxLevel

int cv::TrackerMedianFlow::Params::maxLevel

maximal pyramid level number for Lucas-Kanade optical flow

## § maxMedianLengthOfDisplacementDifference

double cv::TrackerMedianFlow::Params::maxMedianLengthOfDisplacementDifference

criterion for loosing the tracked object

## § pointsInGrid

int cv::TrackerMedianFlow::Params::pointsInGrid

square root of number of keypoints used; increase it to trade accurateness for speed

## § termCriteria

TermCriteria cv::TrackerMedianFlow::Params::termCriteria

termination criteria for Lucas-Kanade optical flow

## § winSize

cv::Size cv::TrackerMedianFlow::Params::winSize

window size parameter for Lucas-Kanade optical flow

## § winSizeNCC

cv::Size cv::TrackerMedianFlow::Params::winSizeNCC

window size around a point for normalized cross-correlation check

The documentation for this struct was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/tracking/include/opencv2/tracking/tracker.hpp